summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 20155f4)
raw | patch | inline | side by side (parent: 20155f4)
author | Sebastian Harl <sh@tokkee.org> | |
Wed, 25 Feb 2015 09:42:36 +0000 (10:42 +0100) | ||
committer | Sebastian Harl <sh@tokkee.org> | |
Wed, 25 Feb 2015 09:42:36 +0000 (10:42 +0100) |
t/integration/query.sh | patch | blob | history |
diff --git a/t/integration/query.sh b/t/integration/query.sh
index c9b21b6063d001ae29bd92d302259dc41671c043..72a0b88426adae7496deee4c9b4d8f6d7e845c02 100755 (executable)
--- a/t/integration/query.sh
+++ b/t/integration/query.sh
(echo 'LIST hosts;'; sleep 1; echo "FETCH host 'host1.example.com'") \
| run_sysdb -H "$SOCKET_FILE"
+output="$( run_sysdb -H "$SOCKET_FILE" \
+ -c "FETCH host 'host1.example.com' FILTER age < 0" 2>&1 )" && exit 1
+echo "$output" | grep -F 'not found'
+
# When requesting information for unknown hosts, expect a non-zero exit code.
output="$( run_sysdb -H "$SOCKET_FILE" \
-c "FETCH host 'does.not.exist'" 2>&1 )" && exit 1